Bug 131319 - New port: devel/py25-aspects: Lightweight aspect oriented programming library for Python
Summary: New port: devel/py25-aspects: Lightweight aspect oriented programming library...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philippe Audeoud
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-02 23:50 UTC by Sofian Brabez
Modified: 2009-02-04 10:00 UTC (History)
0 users

See Also:


Attachments
file.shar (3.30 KB, text/plain)
2009-02-02 23:50 UTC, Sofian Brabez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sofian Brabez 2009-02-02 23:50:00 UTC
Here the .shar file as attachement to add aspects to the port tree (devel category)
 
aspects is a lightweight approach to aspect oriented programming (AOP) in
Python.The aspects.py library provides means to intercept function calls.
Functions and methods (also in Python standard library and third party code)
can be wrapped so that when they are called, the wrap is invoked first.
 
Features:
===========
* Aspect Oriented Programming in Python
 
Requirements:
===============
* Python 2.5 and later
 
Author:
=========
Antti Kervinen
 
WWW:    http://www.cs.tut.fi/~ask/aspects/index.shtml

Fix: Patch attached with submission follows:
Comment 1 Philippe Audeoud freebsd_committer 2009-02-03 04:58:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jadawin

I'll take it.
Comment 2 dfilter service freebsd_committer 2009-02-04 09:55:42 UTC
jadawin     2009-02-04 09:55:27 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/py-aspects     Makefile distinfo pkg-descr pkg-plist 
    devel/py-aspects/files pkg-message.in 
  Log:
  aspects is a lightweight approach to aspect oriented programming (AOP) in
  Python.The aspects.py library provides means to intercept function calls.
  Functions and methods (also in Python standard library and third party code)
  can be wrapped so that when they are called, the wrap is invoked first.
  
  WWW:    http://www.cs.tut.fi/~ask/aspects/index.shtml
  
  PR:             ports/131319
  Submitted by:   Sofian Brabez <sbrabez at gmail.com>
  
  Revision  Changes    Path
  1.3355    +1 -0      ports/devel/Makefile
  1.1       +46 -0     ports/devel/py-aspects/Makefile (new)
  1.1       +3 -0      ports/devel/py-aspects/distinfo (new)
  1.1       +8 -0      ports/devel/py-aspects/files/pkg-message.in (new)
  1.1       +6 -0      ports/devel/py-aspects/pkg-descr (new)
  1.1       +11 -0     ports/devel/py-aspects/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Philippe Audeoud freebsd_committer 2009-02-04 09:59:42 UTC
State Changed
From-To: open->closed

New port added. Thanks!